NAME
	createAB - create Association Blocks, using OCA tool ABbuilder

SYNOPSIS
	createAB -m <MODE> -d <DATE> [-c <CFG_FILE>] [-option_value]

OPTIONS
	-h[elp]	   short help for createAB
	-H[elp]	   help for Abbuilder association engine
	-v[ersion] version

	-a[uto]    enforce automatic mode
	-i	   incremental mode
	-r	   recreate ABs
	-N	   no VCALs used (only for MODE=SCIENCE)

PARAMETERS
	-m[ode]  <MODE>:      CALIB or SCIENCE  (mandatory)
	-d[ate]  <DATE>:      format YYYY-MM-DD (mandatory)
	-D[ate]  <SCAN_DATE>: special start date for scanning mcalibs (optional)
			      default: last date in $DFO_CAL_DIR
	-c[onfig] <CFG_FILE>: name of non-default config file (optional) 

CONFIGURATION FILES (all under $DFO_CONFIG_DIR/OCA!)
	config.createAB 	tool configuration (or as specified using -c) 
	<instr>_<oca>.h 	OCA configuration files
	<instr>_macro.h,	macro files
	OCA_macro.h
	log4j.cf		logging configuration

EXAMPLES
	createAB -m CALIB   -d 2016-03-17    :   standard call
	createAB -m CALIB   -d 2013-07-17 -c my_super_cfg_file : 
						 special config file
	createAB -m SCIENCE -d 2007-03-01 -a :   automatic mode (no interactive questions)
	createAB -m CALIB   -d 2010-05-05 -r :   recreate ABs, fully interactive
	createAB -m CALIB   -d 2010-05-05 -r -a: recreate ABs, interactive in RECREATE part

SEE ALSO
	createAB -H 			help for ABbuilder tool
	$DFO_DOC_DIR/ABbuilder.txt	docu for ABbuilder tool
